Переполнение буфера в Dia

Дата публикации:
06.04.2006
Дата изменения:
10.02.2009
Всего просмотров:
1311
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Dia 0.x
Уязвимые версии: Dia 0.87 - 0.94 и 0.95-pre1 - 0.95-pre5

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в плагине импорта XFig. Удаленный пользователь может с помощью специально сформированного XFig файла вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: www.gnome.org/projects/dia/

Решение: Установите последнюю версию (0.95-pre6) с сайта производителя.

Ссылки: Vulnerability in xfig import code

или введите имя

CAPTCHA